<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'buyesrfolio',

    /*
     * Package.
     */
    'package'   => 'buyer',

    /*
     * Modules.
     */
    'modules'   => ['buyer'],

    
    'buyer'       => [
        'model' => [
            'model'                 => \Buyesrfolio\Buyer\Models\Buyer::class,
            'table'                 => 'buyers',
            'presenter'             => \Buyesrfolio\Buyer\Repositories\Presenter\BuyerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'co_buyer_id',  'first_name',  'last_name',  'email',  'phone',  'password',  'api_token',  'remember_token',  'gender',  'lead_type',  'city',  'latitude',  'longitude',  'gross_income',  'gross_income_type',  'debt_amount',  'monthly_pay_amount',  'downpayment_range',  'income_source',  'credit_score',  'monthly_rent',  'rent_own_monthly_payment',  'bank_id',  'property_type',  'price_range_min',  'price_range_max',  'bedroom_min',  'bedroom_max',  'bathroom_min',  'bathroom_max',  'priority',  'pre_approved',  'timeline',  'specialties',  'parking',  'garages',  'plex',  'status',  'duration',  'reason',  'contact_status',  'address',  'agree_promo_email',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'buyer/buyer',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Buyesrfolio',
            'package'   => 'Buyer',
            'module'    => 'Buyer',
        ],

    ],
];
