<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBuyersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: buyers
         */
        Schema::create('buyers', function ($table) {
            $table->increments('id');
            $table->integer('co_buyer_id')->nullable();
            $table->string('first_name', 255)->nullable();
            $table->string('last_name', 255)->nullable();
            $table->string('email', 30)->nullable();
            $table->text('phone')->nullable();
            $table->string('password', 100)->nullable();
            $table->string('api_token', 255)->nullable();
            $table->string('remember_token', 255)->nullable();
            $table->string('gender', 30)->nullable();
            $table->string('lead_type', 255)->nullable();
            $table->text('city')->nullable();
            $table->text('latitude')->nullable();
            $table->text('longitude')->nullable();
            $table->decimal('gross_income', 10,2)->nullable();
            $table->string('gross_income_type', 50)->nullable();
            $table->decimal('debt_amount', 10,2)->nullable();
            $table->decimal('monthly_pay_amount', 10,2)->nullable();
            $table->string('downpayment_range', 200)->nullable();
            $table->string('income_source', 200)->nullable();
            $table->integer('credit_score')->nullable();
            $table->decimal('monthly_rent', 10,2)->nullable();
            $table->decimal('rent_own_monthly_payment', 10,2)->nullable();
            $table->integer('bank_id')->nullable();
            $table->text('property_type')->nullable();
            $table->string('price_range_min', 30)->nullable();
            $table->string('price_range_max', 50)->nullable();
            $table->string('bedroom_min', 30)->nullable();
            $table->string('bedroom_max', 30)->nullable();
            $table->string('bathroom_min', 30)->nullable();
            $table->string('bathroom_max', 30)->nullable();
            $table->string('priority', 30)->nullable();
            $table->string('pre_approved', 20)->nullable();
            $table->text('timeline')->nullable();
            $table->text('specialties')->nullable();
            $table->text('parking')->nullable();
            $table->text('garages')->nullable();
            $table->text('plex')->nullable();
            $table->string('status', 255)->nullable();
            $table->text('duration')->nullable();
            $table->text('reason')->nullable();
            $table->string('contact_status', 255)->nullable();
            $table->text('address')->nullable();
            $table->string('agree_promo_email', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('buyers');
    }
}
