<?php

namespace Buyesrfolio\Buyer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BuyerTransformer extends TransformerAbstract
{
    public function transform(\Buyesrfolio\Buyer\Models\Buyer $buyer)
    {
        return [
            'id'                => $buyer->getRouteKey(),
            'key'               => [
                'public'    => $buyer->getPublicKey(),
                'route'     => $buyer->getRouteKey(),
            ], 
            'co_buyer_id'       => $buyer->co_buyer_id,
            'first_name'        => $buyer->first_name,
            'last_name'         => $buyer->last_name,
            'email'             => $buyer->email,
            'phone'             => $buyer->phone,
            'password'          => $buyer->password,
            'api_token'         => $buyer->api_token,
            'remember_token'    => $buyer->remember_token,
            'gender'            => $buyer->gender,
            'lead_type'         => $buyer->lead_type,
            'city'              => $buyer->city,
            'latitude'          => $buyer->latitude,
            'longitude'         => $buyer->longitude,
            'gross_income'      => $buyer->gross_income,
            'gross_income_type' => $buyer->gross_income_type,
            'debt_amount'       => $buyer->debt_amount,
            'monthly_pay_amount' => $buyer->monthly_pay_amount,
            'downpayment_range' => $buyer->downpayment_range,
            'income_source'     => $buyer->income_source,
            'credit_score'      => $buyer->credit_score,
            'monthly_rent'      => $buyer->monthly_rent,
            'rent_own_monthly_payment' => $buyer->rent_own_monthly_payment,
            'bank_id'           => $buyer->bank_id,
            'property_type'     => $buyer->property_type,
            'price_range_min'   => $buyer->price_range_min,
            'price_range_max'   => $buyer->price_range_max,
            'bedroom_min'       => $buyer->bedroom_min,
            'bedroom_max'       => $buyer->bedroom_max,
            'bathroom_min'      => $buyer->bathroom_min,
            'bathroom_max'      => $buyer->bathroom_max,
            'priority'          => $buyer->priority,
            'pre_approved'      => $buyer->pre_approved,
            'timeline'          => $buyer->timeline,
            'specialties'       => $buyer->specialties,
            'parking'           => $buyer->parking,
            'garages'           => $buyer->garages,
            'plex'              => $buyer->plex,
            'duration'          => $buyer->duration,
            'reason'            => $buyer->reason,
            'contact_status'    => $buyer->contact_status,
            'address'           => $buyer->address,
            'agree_promo_email' => $buyer->agree_promo_email,
            'deleted_at'        => $buyer->deleted_at,
            'url'               => [
                'public'    => trans_url('buyer/'.$buyer->getPublicKey()),
                'user'      => guard_url('buyer/buyer/'.$buyer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$buyer->status),
            'created_at'        => format_date($buyer->created_at),
            'updated_at'        => format_date($buyer->updated_at),
        ];
    }
}